"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ALL_PLUGINS = [
    'flow',
    'jsx',
    'asyncGenerators',
    'classProperties',
    'doExpressions',
    'exportExtensions',
    'functionBind',
    'functionSent',
    'objectRestSpread',
    'dynamicImport',
    'decorators'
];
function default_1(babel) {
    return {
        manipulateOptions(opts, parserOpts) {
            for (let plugin of exports.ALL_PLUGINS) {
                if (plugin !== 'flow' || !opts.filename.endsWith('.ts')) {
                    parserOpts.plugins.push(plugin);
                }
            }
        }
    };
}
exports.default = default_1;
//# sourceMappingURL=AllSyntaxPlugin.js.map